Bug 1714064 - cyrus-imapd-3.0.10 is available
Summary: cyrus-imapd-3.0.10 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-27 03:02 UTC by Upstream Release Monitoring
Modified: 2019-06-07 16:33 UTC (History)
6 users (show)

Fixed In Version: cyrus-imapd-3.0.10-1.fc30 cyrus-imapd-3.0.10-1.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-07 00:58:38 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-05-27 03:02:29 UTC
Latest upstream release: 3.0.10 Current version/release in rawhide: 3.0.9-2.fc31 URL: https://www.cyrusimap.org/ Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoringPlease keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.Based on the information from anitya: https://release-monitoring.org/project/9643/

Comment 1 Jason Tibbitts 2019-05-29 16:43:35 UTC
There is a CVE fixed by this release but for some reason the listing isn't fully public.  In any case, it's built in rawhide and in F30.  Update for F30 will go through in a few.  I'm sure once the security team sees it they'll file a pile of bugs which we'll need to link into the updates.

For F29, I'm not sure what would be best.  The patch is trivial and I can cherry pick it back to 3.0.8, or I can just update F29 to 3.0.10.  Looking through the 3.0.9 release notes, I don't see anything that would cause problems (just some useful bugfixes) and 3.0.10 has only this one change.  But the downside is that I don't have the time right now to do a full test.

I think I'm going to go ahead and merge/push 3.0.10 to F29 but we can revert that if there's disagreement.  Fortunately F28 is EOL now so we don't have to worry about that.

Comment 2 Fedora Update System 2019-05-29 20:23:34 UTC
FEDORA-2019-f0435555ac has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0435555ac

Comment 3 Fedora Update System 2019-05-29 20:23:34 UTC
FEDORA-2019-309f559057 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-309f559057

Comment 4 Fedora Update System 2019-05-30 13:58:18 UTC
cyrus-imapd-3.0.10-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-309f559057

Comment 5 Fedora Update System 2019-05-30 15:35:15 UTC
cyrus-imapd-3.0.10-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f0435555ac

Comment 6 Fedora Update System 2019-06-07 00:58:38 UTC
cyrus-imapd-3.0.10-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-06-07 16:33:44 UTC
cyrus-imapd-3.0.10-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.